Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1410443

Summary: sunxi-tools 1.4.2-1 not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: sunxi-toolsAssignee: Peter Robinson <pbrobinson>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: lkundrak, pbrobinson
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: sunxi-tools-1.4.2-3.fc26 sunxi-tools-1.4.2-3.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-30 00:19:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2017-01-05 13:49:07 UTC
sunxi-tools 1.4.2-1 is not built with $RPM_OPT_FLAGS. 1.4.1-1 did not have this issue. A fix is to replace EXTRA_CFLAGS with CFLAGS in the "make" invocation.

Comment 1 Peter Robinson 2017-01-06 04:42:21 UTC
They've changed that like 3 times in the last 3 releases. Will take a look

Comment 2 Fedora Update System 2017-04-25 18:36:20 UTC
sunxi-tools-1.4.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c8bba7d0b

Comment 3 Fedora Update System 2017-04-26 03:53:03 UTC
sunxi-tools-1.4.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfaabcfd85

Comment 4 Fedora Update System 2017-04-27 06:48:48 UTC
sunxi-tools-1.4.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c8bba7d0b

Comment 5 Fedora Update System 2017-04-30 00:19:59 UTC
sunxi-tools-1.4.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-05-07 00:01:38 UTC
sunxi-tools-1.4.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.